<?php
// HOLY IT main template, all rights reserved. If you use this template, you must place a link to www.holyit.com in the foter
// And that's fair enough to make us happy :)

// basic configuratoin
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'html';
}

// header function
function template_main_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	
	echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	
	<head>
	<meta http-equiv="Content-Language" content="en-us">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="description" content="', $context['page_title'], '" />
	<meta name="keywords" content="IT, Information Technology, News, Tutorials, Articles, Discussion, Forum, Community, Holy IT" />
	<script type="text/javascript" src="Themes/holyit/flash_detector.js"></script>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js"></script>
	<script language="JavaScript" type="text/javascript"><!--
	var smf_theme_url = "', $settings['theme_url'], '";
	var smf_images_url = "', $settings['images_url'], '";
	// --></script>
	<title>', $context['page_title'],'</title>
	';
	
	// This is here because Gecko browsers properly support white-space....
	if ($context['browser']['is_gecko'])
		echo '
	<style type="text/css"><!--
		.code
		{
			white-space: pre;
		}
	--></style>';
	
	// load css and favicon
	echo '
	<LINK REL="SHORTCUT ICON" HREF="../favicon.ico">
	<link href="', $settings['theme_url'], '/style.css" rel="stylesheet" type="text/css">
	';
	
	// some linkrel stuff that I don't understand, but doesn't hurt! I'll remove it later
	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />
	<link rel="search" href="' . $scripturl . '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

	// If we're viewing a topic, these should be the previous and next topics, respectively.
	if (!empty($context['current_topic']))
		echo '
	<link rel="prev" href="' . $scripturl . '?action=;topic=' . $context['current_topic'] . '.0;prev_next=prev" />
	<link rel="next" href="' . $scripturl . '?action=;topic=' . $context['current_topic'] . '.0;prev_next=next" />';

	// If we're in a board, or a topic for that matter, the index will be the board's index.
	if (!empty($context['current_board']))
		echo '
	<link rel="index" href="' . $scripturl . '?action=;board=' . $context['current_board'] . '.0" />';
	
	// close header
	echo '</head>';
	
	// print any extra header stuff(from mods may be?)
	echo $context['html_headers'];
	
	// body
	echo '	
	<body class="lightbg">	
	<table border="0" width="100%" style="height: 100%;" cellspacing="0" cellpadding="0">
		<tr>
			<td style="height: 50px;">&nbsp;</td>
		</tr>
		<tr>
			<td style="height: 270px;" align="left" valign="top">
			<div class="orangebg nowrap" style="position: absolute; width: 100%; height: 270px; z-index: 1" id="layer1">
	<div class="darkbg" style="position: absolute; width: 250px; height: 270px; z-index: 1" id="layer2">
	<div class="banner" style="white-space: nowrap; position: absolute; height: 35px; z-index: 1; top: 27px; width:248px" id="layer18" align="right">
		HOLY</div>
	<div class="banner blacktext" style="position: absolute; width: 100px; height: 100px; z-index: 1; top: 27px; left: 252px" id="layer24">
	IT</div>
	<div align="right" style="position: absolute; width: 209px; height: 14px; z-index: 2; left: 39px; top: 79px" id="layer19">
		<div class="blacktext" align="left" style="position: absolute; height: 92px; z-index: 1; left: 215px; top: 0px; width:367px" id="layer20">
	';
	
	// for logged in users only
	if ($context['user']['is_logged'])
	{
	echo $txt['hello_member'], ' <b>', $context['user']['name'], '</b>';
		if ($context['allow_pm'])
		echo ', ', $txt[152], ' <a class="blacklink" href="', $scripturl, '?action=pm">', $context['user']['messages'], ' ', $context['user']['messages'] != 1 ? $txt[153] : $txt[471], '</a>', $txt['newmessages4'], ' ', $context['user']['unread_messages'], ' ', $context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1'];
		echo '.';
		
		// Show the total time logged in?
		if (!empty($context['user']['total_time_logged_in']))
		{
			echo '
			<br />', $txt['totalTimeLogged1'];

			// If days is just zero, don't bother to show it.
			if ($context['user']['total_time_logged_in']['days'] > 0)
				echo $context['user']['total_time_logged_in']['days'] . $txt['totalTimeLogged2'];

			// Same with hours - only show it if it's above zero.
			if ($context['user']['total_time_logged_in']['hours'] > 0)
				echo $context['user']['total_time_logged_in']['hours'] . $txt['totalTimeLogged3'];

			// But, let's always show minutes - Time wasted here: 0 minutes ;).
			echo $context['user']['total_time_logged_in']['minutes'], $txt['totalTimeLogged4'];
		}
		
	// links by which they can read unread replays
	echo '
	<br /><a class="blacklink" href="', $scripturl, '?action=unread">', $txt['unread_since_visit'], '</a><br />
	<a class="blacklink" href="', $scripturl, '?action=unreadreplies">', $txt['show_unread_replies'],'</a>
	';
	
	}
	else
	{
	// for guests only
		echo '
		', $txt['welcome_guest'], '<br />
			<form action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '" class="middletext" style="margin: 3px 1ex 1px 0;"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
				<input type="text" name="user" size="10" /> <input type="password" name="passwrd" size="10" />
				<select name="cookielength">
					<option value="60">', $txt['smf53'], '</option>
					<option value="1440">', $txt['smf47'], '</option>
					<option value="10080">', $txt['smf48'], '</option>
					<option value="43200">', $txt['smf49'], '</option>
					<option value="-1" selected="selected">', $txt['smf50'], '</option>
				</select>
				<input type="submit" value="', $txt[34], '" /><br />
				<span class="middletext">', $txt['smf52'], '</span>
				<input type="hidden" name="hash_passwrd" value="" />
			</form>';
	
	}
	echo '</div>';
	
	if (!empty($context['user']['avatar'])){
	echo '
	<div class="nowrap" style="position: absolute; width: 241px; height: 178px; z-index: 2; left: -34px; top: 20px; " id="layer21" align="right">
	', $context['user']['avatar']['image'],'</div>
	';
	}
	
	// for all (users and guests)
	echo '
		', $context['current_time'],'</div>
	<div style="position: absolute; width: 554px; z-index: 3; left: 253px; top: 0px; height:22" id="layer23">
	
	<div id="navcontainer">
		<ul id="navlist">
		<li id="active"><a href="', $scripturl, '" id="current">',$txt[103],'</a></li>
		<li><a href="', $scripturl, '?action=search">',$txt[182],'</a></li>
		<li><a href="', $scripturl, '?action=calendar">',$txt['calendar24'],'</a></li>
	';
	
	if ($context['allow_admin']){ // admin botton
		echo '
		<li><a href="', $scripturl, '?action=admin">', $txt[2],'</a></li>
		';
	}
	if ($context['user']['is_logged']){ // user menu
		echo '
		<li><a href="', $scripturl, '?action=profile">',$txt[79],'</a></li>
		<li><a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">',$txt[108],'</a></li>
		';
	}
	else // guest menu
	{
		echo '
		<li><a href="', $scripturl, '?action=login">',$txt[34],'</a></li>
		<li><a href="', $scripturl, '?action=register">',$txt[97],'</a></li>
		';
	}
	
	// continue html tag for all users
	echo '
		</ul>
	</div>
	<br>
	</div>
	&nbsp;</div>
		<div align="right">
				<div id="flashcontent">
					<img width="380" height="270" src="Themes/holyit/images/non-flash-banner.gif" alt="Alternative Banner: Flash player 8 + JavaScript support are required" title="Alternative Banner: Flash player 8 + JavaScript support are required">
				</div>
	
		<script type="text/javascript">
			// <![CDATA[
			
			var so = new SWFObject("Themes/holyit/images/banner.swf", "HolyITBanner", "550", "270", 8);
			so.addParam("wmode", "transparent");
			so.addParam("menu", "false");
			so.write("flashcontent");
			
			// ]]>
		</script>
	
		</div>
	<div class="redtext" style="position: absolute; z-index: 2; left: 252px; top: 204px" id="layer22">
	';
	
	// other administrative links
	if ($context['user']['is_admin'])
	{
		// maintenance mode notification
		if ($context['in_maintenance'])
		echo '
		<b>Note: Maintenance Mode</b><br>
		';
		
		// unapproved members
		if (!empty($context['unapproved_members']))
		echo '
		<b>', $context['unapproved_members'] == 1 ? $txt['approve_thereis'] : $txt['approve_thereare'], ' <a class="blacklink" href="', $scripturl, '?action=regcenter">', $context['unapproved_members'] == 1 ? $txt['approve_member'] : $context['unapproved_members'] . ' ' . $txt['approve_members'], '</a> ', $txt['approve_members_waiting']
		;
	}
	
	// for all users
	echo '	
	</div>
	&nbsp;</div>
			&nbsp;</td>
		</tr>
		<tr>
			<td style="height: 100%;" align="left" valign="top">
	';
} 


// print the foter (copy right..etc)
function template_main_below()
{
	echo '
	</td>
		</tr>
		<tr>
			<td style="height: 100px;" align="center" valign="top">
			<p align="center"><br><br><br><br>
			';
	// www.HolyIT.com rights, thanks for not removing it and saving our copy rights :)
	echo '<a href="http://holyit.com" target="_blank">Designed by Holy ITm</a> | ';

	// smf copy right
	theme_copyright();
	echo '</p>';
	
	// Show the load time?
	if ($context['show_load_time'])
		echo '<br>', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'];
	
	// close tags
	echo '
			</td>
			
		</tr>
	</table>

	</body>
	
	</html>
	';
}


// Show a linktree.  This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree()
{
	global $context, $settings, $options;

	// Folder style or inline?  Inline has a smaller font.
	echo '<span class="nav"', $settings['linktree_inline'] ? ' style="font-size: smaller;"' : '', '>';

	// Each tree item has a URL and name.  Some may have extra_before and extra_after.
	foreach ($context['linktree'] as $link_num => $tree)
	{
		// Show the | | |-[] Folders.
		if (!$settings['linktree_inline'])
		{
			if ($link_num > 0)
				echo str_repeat('<img src="' . $settings['images_url'] . '/icons/linktree_main.gif" alt="| " border="0" />', $link_num - 1), '<img src="' . $settings['images_url'] . '/icons/linktree_side.gif" alt="|-" border="0" />';
			echo '<img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="+" border="0" />&nbsp; ';
		}

		// Show something before the link?
		if (isset($tree['extra_before']))
			echo $tree['extra_before'];

		// Show the link, including a URL if it should have one.
		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';

		// Show something after the link...?
		if (isset($tree['extra_after']))
			echo $tree['extra_after'];

		// Don't show a separator for the last one.
		if ($link_num != count($context['linktree']) - 1)
			echo $settings['linktree_inline'] ? ' &nbsp;|&nbsp; ' : '<br />';
	}

	echo '</span>';
}

?>